%poli                   CALCULA LA CORRECION POLICORICA
function [r] = polimapi(C,tha,thb,Ki,info, inic, nnodos)

   
   [m,n]=size(C);
   
     infe=inic-0.30;
     if infe < -1
        infe= -1;
     end;
     supe=inic+0.30;
     if supe > 1
        supe= 1;
     end;

   if info == 0,
      if nnodos==0,
           infe=inic-0.05;
           supe=inic+0.05;
           nnodos=60;
           nodos=[infe:(supe-infe)/nnodos:supe]';       
      else,
         nodos=[infe:(supe-infe)/nnodos:supe]';       
      end;
   end;
     
   if info == 1
      nodos=creano2(infe,supe,nnodos,inic,0.33);
      sig=0.33;
   end; 
   if info == 2
      nodos=creano2(infe,supe,nnodos,inic,1);
      sig=1;
   end; 
   if info == 3
      nodos=creano2(infe,supe,nnodos,inic,3);
      sig=3;
   end; 
   [l,s]=size(nodos);
   Cr = C / sum(sum(C)');

   Lmax = -100000;
   r   = 0;
   
  for i=1:l,
 
        Ct = normalbi(tha,thb,Ki,nodos(i,1));
        for j=1:m
          for k=1:n
            if Ct(j,k)<=0  
               Ct(j,k)=0.0001; 
            end; 
          end;
        end;
        Cn = Cr.*log(Ct);
        if info == 0
            L =sum(sum(Cn)')+0.5;  
        else,
            L =sum(sum(Cn)')- (0.5*((nodos(i,1)-inic)/sig)*((nodos(i,1)-inic)/sig));         
        end;
        
        if L> Lmax,
            Lmax=L;
            r = nodos(i,1);
        end;
   end;
   
return;
